GrailsRepository (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve

## [Java] Class GrailsRepository

- org.codehaus.groovy.grails.resolve.GrailsRepository

- Repository cable of handling the Grails svn repo's repository patterns.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `get(java.lang.String source, java.io.File destination)`
    `org.apache.ivy.plugins.repository.Resource` | `getResource(java.lang.String source)`
    `java.util.List` | `list(java.lang.String parent)`
    `void` | `put(java.io.File source, java.lang.String destination, boolean overwrite)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.apache.ivy.plugins.repository.url.URLRepository` | `org.apache.ivy.plugins.repository.url.URLRepository#get(java.lang.String, java.io.File), org.apache.ivy.plugins.repository.url.URLRepository#put(java.io.File, java.lang.String, boolean), org.apache.ivy.plugins.repository.url.URLRepository#getResource(java.lang.String), org.apache.ivy.plugins.repository.url.URLRepository#list(java.lang.String), org.apache.ivy.plugins.repository.url.URLRepository#put(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, java.lang.String, boolean), org.apache.ivy.plugins.repository.url.URLRepository#toString(), org.apache.ivy.plugins.repository.url.URLRepository#getName(), org.apache.ivy.plugins.repository.url.URLRepository#setName(java.lang.String), org.apache.ivy.plugins.repository.url.URLRepository#addTransferListener(org.apache.ivy.plugins.repository.TransferListener), org.apache.ivy.plugins.repository.url.URLRepository#removeTransferListener(org.apache.ivy.plugins.repository.TransferListener), org.apache.ivy.plugins.repository.url.URLRepository#hasTransferListener(org.apache.ivy.plugins.repository.TransferListener), org.apache.ivy.plugins.repository.url.URLRepository#standardize(java.lang.String), org.apache.ivy.plugins.repository.url.URLRepository#getFileSeparator(), org.apache.ivy.plugins.repository.url.URLRepository#wait(long, int), org.apache.ivy.plugins.repository.url.URLRepository#wait(long), org.apache.ivy.plugins.repository.url.URLRepository#wait(), org.apache.ivy.plugins.repository.url.URLRepository#equals(java.lang.Object), org.apache.ivy.plugins.repository.url.URLRepository#hashCode(), org.apache.ivy.plugins.repository.url.URLRepository#getClass(), org.apache.ivy.plugins.repository.url.URLRepository#notify(), org.apache.ivy.plugins.repository.url.URLRepository#notifyAll()`
    `class org.apache.ivy.plugins.repository.AbstractRepository` | `org.apache.ivy.plugins.repository.AbstractRepository#put(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, java.lang.String, boolean), org.apache.ivy.plugins.repository.AbstractRepository#toString(), org.apache.ivy.plugins.repository.AbstractRepository#getName(), org.apache.ivy.plugins.repository.AbstractRepository#setName(java.lang.String), org.apache.ivy.plugins.repository.AbstractRepository#addTransferListener(org.apache.ivy.plugins.repository.TransferListener), org.apache.ivy.plugins.repository.AbstractRepository#removeTransferListener(org.apache.ivy.plugins.repository.TransferListener), org.apache.ivy.plugins.repository.AbstractRepository#hasTransferListener(org.apache.ivy.plugins.repository.TransferListener), org.apache.ivy.plugins.repository.AbstractRepository#standardize(java.lang.String), org.apache.ivy.plugins.repository.AbstractRepository#getFileSeparator(), org.apache.ivy.plugins.repository.AbstractRepository#wait(long, int), org.apache.ivy.plugins.repository.AbstractRepository#wait(long), org.apache.ivy.plugins.repository.AbstractRepository#wait(), org.apache.ivy.plugins.repository.AbstractRepository#equals(java.lang.Object), org.apache.ivy.plugins.repository.AbstractRepository#hashCode(), org.apache.ivy.plugins.repository.AbstractRepository#getClass(), org.apache.ivy.plugins.repository.AbstractRepository#notify(), org.apache.ivy.plugins.repository.AbstractRepository#notifyAll(), org.apache.ivy.plugins.repository.AbstractRepository#get(java.lang.String, java.io.File), org.apache.ivy.plugins.repository.AbstractRepository#getResource(java.lang.String), org.apache.ivy.plugins.repository.AbstractRepository#list(java.lang.String)`

- - ### Method Detail

    - #### @java.lang.Override public void get(java.lang.String source, java.io.File destination)

    - #### @java.lang.Override public org.apache.ivy.plugins.repository.Resource getResource(java.lang.String source)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public java.util.List list(java.lang.String parent)

    - #### @java.lang.Override public void put(java.io.File source, java.lang.String destination, boolean overwrite)